%define        anolis_release 4

%bcond_without test

Name:           perl-Tie-RefHash
Version:        1.40
Release:        %{anolis_release}%{?dist}
Summary:        Use references as hash keys
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Tie-RefHash
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Tie-RefHash-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6 perl(Config) perl(strict) 
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(warnings)
BuildRequires:  perl(Carp) perl(overload) perl(Tie::Hash)
# Tests:
BuildRequires:  perl(File::Spec) perl(Storable) perl(Test::More)
%if %{with test}
BuildRequires:  perl(Data::Dumper) perl(threads)
%endif

Requires:       perl(overload)

Suggests:       perl(Scalar::Util) >= 1.01
Conflicts:      perl-interpreter < 4:5.30.1-451

%description
Tie::RefHash is a Perl module that allows you to use references as hash keys.
It is implemented using the standard perl TIEHASH interface1. The Nestable version 
works by looking for hash references being stored and converting them to tied 
hashes so that they too can have references as keys

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Tie-RefHash-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
%if %{with test}
make test
%endif

%files
%license LICENCE
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes CONTRIBUTING README

%changelog
* Mon Apr 10 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.40-4
- Optimize the spec file

* Fri Feb 03 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.40-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.40-2
- rebuild with perl 5.36.0

* Thu Apr 21 2022 yuanhui <yuanhui@linux.alibaba.com> - 1.40-1
- Init perl-Tie-RefHash for anolis os 23
